﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head><title>Executing a Scan Rule</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Executing a Scan Rule</h1>
        <p>This section describes the two ways in which you can scan the sensitive files. These are using: 1) <b>ADMIN &gt; Job Control Panel &gt; Data &gt; Application Data Scan Job</b>, which scans all the files for sensitive information. The second option is using 2) <b>ADMIN &gt; Identity Repository &gt; Entitlements &gt; Scan Rules Tab &gt; Scan This File</b> option, which scans for the specific individual file.</p>
        <h2>Using Application Data Scan Job</h2>
        <p>A scan rule can be triggered using the <b>ADMIN &gt; Job Control Panel &gt; Application Data Scan Job</b>. This job scans all the entitlements in one shot. This job can either be run manually or it can be scheduled at a particular time.</p>
        <p>To run the Application Data Scan Job, perform the following steps:</p>
        <ol>
            <li>
                <p>Click <b>Admin &gt; Job Control Panel &gt; Data &gt; Application Data Scan Job</b>.</p>
                <p>
                    <img src="../Resources/Images/Application Data Scan Job.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                </p>
            </li>
            <li>
                <p>Click on “Add New Job”. Provide a new job name and Submit.</p>
            </li>
            <li>
                <p>Start the scan job by clicking on <b>Action &gt; Start</b>. Specify the values for following parameters and click “Submit”.</p>
                <ol style="list-style-type: lower-alpha;">
                    <li>
                        <p>System: Select the security system for which scans need to be run.</p>
                    </li>
                    <li>
                        <p>Entitlement Filter: (Optional) This option should be specified only for certain files.</p>
                        <p>For example:<label class="param-value"> ev.id=&lt;entitlement_id of the file&gt;, ev.lastscanddate &lt; &lt;date&gt; &gt;, ev.entitlementid=, ev.entitlement_value like ‘HRFiles’</label></p>
                    </li>
                    <li>
                        <p>Maximum File Size To Scan: Specify the maximum size of files that should be scanned.</p>
                    </li>
                    <li>
                        <p>Maximum number of Triggers: Specify the number of triggers (thread) to be used for scanning. This will spawn the scanning job into multiple threads to scan multiple files at once. This option is used when large volume of files should be scanned and also when scan job performance needs to be optimized.</p>
                        <p>
                            <img src="../Resources/Images/Parameters for Application Data Scan Job.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                        </p>
                        <p>This executes the job and scans for all files with sensitive details as per the scan rule defined.</p>
                    </li>
                    <li>
                        <p>Scan Job can also be scheduled. Navigate to <b>Action &gt; Schedule</b>. Choose the appropriate option and click “<b>Submit</b>”.</p>
                        <p>This will schedule the Job at the selected day and time.</p>
                    </li>
                </ol>
            </li>
        </ol>
        <h2>Using Scan File Job</h2>
        <p>A single file can also be scanned using “Scan This File” option from Entitlements show page &gt; Scan Rules tab. Once you click Scan Rules it directly scans the file and displays the scan results.</p>
        <p>To scan individual file, perform the following steps:</p>
        <ol>
            <li>
                <p>Click <b>Identity Repository &gt; Entitlements</b>.</p>
            </li>
            <li>
                <p>Click on the specific Entitlement, which displays the Entitlements show page.</p>
            </li>
            <li>
                <p>Click ‘<b>Scan Rules</b>’ tab and click on ‘<b>Scan this File</b>’ option.</p>
                <p>
                    <img src="../Resources/Images/Scanning Individual File using Scan This File option.png" style="border-left-style: solid;border-left-width: 1px;border-left-color: ;border-right-style: solid;border-right-width: 1px;border-right-color: ;border-top-style: solid;border-top-width: 1px;border-top-color: ;border-bottom-style: solid;border-bottom-width: 1px;border-bottom-color: ;width: 700px;height: 300px;" />
                </p>
            </li>
            <li>
                <p>Scan results are displayed on the same screen.</p>
                <div class="warning" MadCap:autonum="&lt;b&gt;Warning&lt;/b&gt;">
                    <p class="note">Scan results can be viewed from the Dashboards as well as from the reports generated by running analytical controls.</p>
                </div>
            </li>
        </ol>
    </body>
</html>